/* openGL settings */
void setWindowSize( int width, int height );

/* window painting */
void paintWindow( void );
void idleFunc( void );

void menuFuncMain( int );
void menuFuncDisplay( int );
void menuFuncPlay( int );
void menuFuncMotionSelect( int );
void mouseFunc( int, int, int, int );
void mouseMotionFunc( int, int );
void keyboardFunc( unsigned char, int, int );

void updateRotation( void );

#define MENU_SHOW_POINTS                 1
#define MENU_SHOW_WIREFRAME              2
#define MENU_SHOW_SOLID                  3
#define MENU_SHOW_TEXTURE                4

#define MENU_PLAY_REWIND                 1
#define MENU_PLAY_REV                    2
#define MENU_PLAY_NEGSTEP                3
#define MENU_PLAY_STOP                   4
#define MENU_PLAY_POSSTEP                5
#define MENU_PLAY_FWD                    6

#define MENU_MOTION_ROTATE               1
#define MENU_MOTION_ZOOM                 2

#define MENU_EXIT                        1

